Openbravo Issue Tracking System - Openbravo ERP
View Issue Details
0040512Openbravo ERPA. Platformpublic2019-04-03 13:362019-05-21 15:16
caristu 
caristu 
highminorhave not tried
closedfixed 
5
 
3.0PR19Q3 
alostale
Core
No
0040512: slf4j extensions library can be removed
The slf4j-ext-1.7.25.jar can be safely removed. It is an extension[1] of slf4j which is a dependency of weld 1.1.24. After the weld upgrade (0040193) it is no longer needed.

[1] https://www.slf4j.org/extensions.html [^]
In description
No tags attached.
related to feature request 0040193 closed caristu upgrade Weld to version 3.1.0.Final 
related to feature request 0040540 new platform Replace usage of SLF4J library with Log4j version 2 
Issue History
2019-04-03 13:36caristuNew Issue
2019-04-03 13:36caristuAssigned To => platform
2019-04-03 13:36caristuModules => Core
2019-04-03 13:36caristuTriggers an Emergency Pack => No
2019-04-03 13:36caristuRelationship addedrelated to 0040193
2019-04-03 13:37caristuAssigned Toplatform => caristu
2019-04-03 13:38caristuReview Assigned To => alostale
2019-04-03 13:50hgbotCheckin
2019-04-03 13:50hgbotNote Added: 0110976
2019-04-03 13:50hgbotStatusnew => resolved
2019-04-03 13:50hgbotResolutionopen => fixed
2019-04-03 13:50hgbotFixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5a18bcb0e39403289b83a1fd4bfc831f6d124904 [^]
2019-04-05 09:10alostaleNote Added: 0110989
2019-04-05 09:10alostaleStatusresolved => closed
2019-04-05 09:10alostaleFixed in Version => 3.0PR19Q3
2019-04-05 14:13caristuRelationship addedrelated to 0040540
2019-05-21 15:16hudsonbotCheckin
2019-05-21 15:16hudsonbotNote Added: 0111959

Notes
(0110976)
hgbot   
2019-04-03 13:50   
Repository: erp/devel/pi
Changeset: 5a18bcb0e39403289b83a1fd4bfc831f6d124904
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 03 13:46:54 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5a18bcb0e39403289b83a1fd4bfc831f6d124904 [^]

fixes issue 40512: remove slf4j extensions library

  The slf4j extensions library was a dependency of weld 1.1.24. It is not needed by weld 3.1.0 because it no longer uses slf4j for logging. Instead, it uses jboss-logging as a logging facade.

---
M legal/Licensing.txt
R lib/runtime/slf4j-ext-1.7.25.jar
---
(0110989)
alostale   
2019-04-05 09:10   
reviewed
(0111959)
hudsonbot   
2019-05-21 15:16   
A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test